SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
sf::Music::Span< T > Struct Template Reference

Structure defining a time range using the template type. More...

`#include <SFML/Audio/Music.hpp>`

## Public Member Functions

| Span ()
| Default constructor.
| Span (T off, T len)
| Initialization constructor.

## Public Attributes

T | offset
| The beginning offset of the time range.
T | length
| The length of the time range.

## Detailed Description

template<typename T>
struct sf::Music::Span< T >

Structure defining a time range using the template type.

Definition at line 57 of file Music.hpp.

## Constructor & Destructor Documentation

## ◆ Span() [1/2]

template<typename T >

sf::Music::Span< T >::Span | ( |  | ) |

inline

Default constructor.

Definition at line 63 of file Music.hpp.

## ◆ Span() [2/2]

template<typename T >

sf::Music::Span< T >::Span | ( | T | off,
|  | T | len
| ) |  |

inline

Initialization constructor.

Parameters

  off | Initial Offset
  len | Initial Length

Definition at line 75 of file Music.hpp.

## Member Data Documentation

## ◆ length

template<typename T >

T sf::Music::Span< T >::length

The length of the time range.

Definition at line 83 of file Music.hpp.

## ◆ offset

template<typename T >

T sf::Music::Span< T >::offset

The beginning offset of the time range.

Definition at line 82 of file Music.hpp.

The documentation for this struct was generated from the following file:

- Music.hpp